import { getCurrentHub, Profiler } from '@sentry/react';
import { createIntegration } from '../integrations/factory';
import { ReactNativeTracing } from './reactnativetracing';
/**
 * Custom profiler for the React Native app root.
 */
export class ReactNativeProfiler extends Profiler {
    constructor() {
        super(...arguments);
        this.name = 'ReactNativeProfiler';
    }
    /**
     * Get the app root mount time.
     */
    componentDidMount() {
        var _a, _b;
        super.componentDidMount();
        (_b = (_a = getCurrentHub().getClient()) === null || _a === void 0 ? void 0 : _a.addIntegration) === null || _b === void 0 ? void 0 : _b.call(_a, createIntegration(this.name));
        const tracingIntegration = getCurrentHub().getIntegration(ReactNativeTracing);
        if (this._mountSpan && tracingIntegration) {
            if (typeof this._mountSpan.endTimestamp !== 'undefined') {
                // The first root component mount is the app start finish.
                tracingIntegration.onAppStartFinish(this._mountSpan.endTimestamp);
            }
        }
    }
}
//# sourceMappingURL=reactnativeprofiler.js.map